#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	A modular geoinformation service
Summary(pl.UTF-8):	Modularna usługa geoinformacyjna
Name:		geoclue2
Version:	2.4.4
Release:	1
License:	GPL v2+ (programs), LGPL v2.1+ (library)
Group:		Applications
Source0:	https://www.freedesktop.org/software/geoclue/releases/2.4/geoclue-%{version}.tar.xz
# Source0-md5:	d2a5b05f4bad032673fe23afbce27926
URL:		https://geoclue.freedesktop.org/
BuildRequires:	ModemManager-devel >= 1.0.0
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	avahi-devel >= 0.6.10
BuildRequires:	avahi-glib-devel >= 0.6.10
BuildRequires:	glib2-devel >= 1:2.34.0
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection-devel >= 0.10
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	json-glib-devel >= 0.14
BuildRequires:	libnotify-devel
BuildRequires:	libsoup-devel >= 2.42
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	tar >= 1:1.22
BuildRequires:	yelp-tools
BuildRequires:	xz
Requires:	%{name}-libs = %{version}-%{release}
Requires:	avahi-libs >= 0.6.10
Requires:	avahi-glib >= 0.6.10
Requires:	dbus
Requires:	json-glib >= 0.14
Requires:	libsoup >= 2.42
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Geoclue is a modular geoinformation service built on top of the D-Bus
messaging system. The goal of the Geoclue project is to make creating
location-aware applications as simple as possible.

%description -l pl.UTF-8
Geoclue to modularna usługa geoinformacyjna zbudowana w oparciu o
system komunikacji D-Bus. Celem projektu jest jak największe
ułatwienie tworzenia aplikacji uwzględniających lokalizację.

%package libs
Summary:	Library to interact with Geoclue service
Summary(pl.UTF-8):	Biblioteka do współpracy z usługą Geoclue
License:	LGPL v2.1+
Group:		Libraries
Requires:	glib2 >= 1:2.34.0

%description libs
Library to interact with Geoclue service.

%description libs -l pl.UTF-8
Biblioteka do współpracy z usługą Geoclue.

%package devel
Summary:	Development package for geoclue2
Summary(pl.UTF-8):	Pakiet programistyczny geoclue2
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.34.0

%description devel
Header files for development with geoclue2.

%description devel -l pl.UTF-8
Pliki nagłówkowe do programowania z użyciem geoclue2.

%package static
Summary:	Static geoclue2 library
Summary(pl.UTF-8):	Statyczna biblioteka geoclue2
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static geoclue2 library.

%description static -l pl.UTF-8
Statyczna biblioteka geoclue2.

%prep
%setup -q -n geoclue-%{version}

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-demo-agent \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	--with-systemdsystemunitdir=%{systemdunitdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgeoclue-2.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_libexecdir}/geoclue
%dir %{_sysconfdir}/geoclue
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/geoclue/geoclue.conf
%{systemdunitdir}/geoclue.service
/etc/dbus-1/system.d/org.freedesktop.GeoClue2.conf
/etc/dbus-1/system.d/org.freedesktop.GeoClue2.Agent.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.GeoClue2.service
# demos
%dir %{_libexecdir}/geoclue-2.0
%dir %{_libexecdir}/geoclue-2.0/demos
%attr(755,root,root) %{_libexecdir}/geoclue-2.0/demos/agent
%attr(755,root,root) %{_libexecdir}/geoclue-2.0/demos/where-am-i
%{_desktopdir}/geoclue-demo-agent.desktop
%{_desktopdir}/geoclue-where-am-i.desktop

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgeoclue-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgeoclue-2.so.0
%{_libdir}/girepository-1.0/Geoclue-2.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgeoclue-2.so
%{_includedir}/libgeoclue-2.0
%{_datadir}/gir-1.0/Geoclue-2.0.gir
%{_pkgconfigdir}/geoclue-2.0.pc
%{_pkgconfigdir}/libgeoclue-2.0.pc
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Agent.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Client.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Location.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Manager.xml

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgeoclue-2.a
%endif
%changelog
* Wed Oct 05 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/geoclue2.git;a=log;h=master

* Wed Oct 05 2016 Jakub Bogusz <qboosh@pld-linux.org> efbdd57
- updated to 2.4.4

* Wed Mar 02 2016 Jakub Bogusz <qboosh@pld-linux.org> e618cd1
- updated to 2.4.3

* Mon Jan 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 82e8bc7
- updated to 2.4.1

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 26484d3
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 0acf609
- updated to 2.1.10

* Thu Jun 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 4a5ff16
- updated to 2.1.9

* Fri Apr 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 99c3d28
- updated to 2.1.8; now uses Mozilla geolocalization service instead of GeoIP

* Thu Mar 27 2014 Jakub Bogusz <qboosh@pld-linux.org> fdf25fe
- updated to 2.1.7

* Wed Oct 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 6f5da4b
- moved dbus interface file to -devel
- release 2

* Sat Sep 28 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 4f34e5d
- Update to 2.0.0

* Fri Aug 30 2013 Jakub Bogusz <qboosh@pld-linux.org> 8137cb8
- Source0 from distfiles to workaround cgit

* Fri Aug 30 2013 Jakub Bogusz <qboosh@pld-linux.org> e7373d8
- geoclue2 under new name

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 2c98217
- release 2 (by relup.sh)

* Thu Apr 11 2013 Marcin Krol <hawk@tld-linux.org> 29acf44
- update to 0.12.99

* Thu Apr 11 2013 Marcin Krol <hawk@tld-linux.org> c8b4359
- obsolete, fixed upstream

* Sat Jan 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 58b5251
- rel 11; disable gpsd for now (doesn't build)

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0eaca55
- release 10

* Sat Oct 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c960585
- release 9

* Tue Sep 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fa24530
- release 8

* Thu Sep 15 2011 lisu <lisu@pld-linux.org> 61297a0
- rel 7

